Tad Web 1.9.2 (Released on 2022-01-28)
====================================
1. Fix the problem that the title image uploaded by itself is not displayed in the right proportion
2. Support BootStrap5

Tad Web 1.9.1 (Released on 2021-08-22)
====================================
1. Fixed for the new version 2021/07 AA accessibility standard
2. Do not show empty category links if there is no category name.
3. Add accessibility 2.1 AA auto-correction function.


Tad Web 1.9.0 (released on 2021-07-31)
================================================
1. Add block caching mechanism
2. Fix the problem of not getting the default value when editing the website in the background.
3. Fix the situation that the contact book cannot be read under certain circumstances.
4. Add subject linking function to homework table, which can be linked to online courses.
5. Comply with the new version of 2021/07 AA accessibility standard

Tad Web 1.8.9 (released on 2021-05-05)
================================================
1. Block is linked with function, function is closed, block is closed with it
2. Block setting plus the function name prompt
3. Fix the problem that backend editing website data cannot be brought out
4. Fix the problem that the custom block cannot bring out the setting tool.
5. Fix the problem of incorrect line feed in custom block.


Tad Web 1.8.8 (Released on 2020-10-28)
================================================
1. Modify the default drawing mechanism to save a lot of space.
2.Fix the problem that other class networks can't join the same photo album when sharing Google photo album.
3. Modify the search box to change the search scope to the content of the class network.
4.Fix the incorrect title map in mobile version.

Tad Web 1.8.7 (Released on 2020-09-01)
=============================================================
1.Fix the problem of not being able to capture Google Shared Photo Album correctly.
2.Fix the problem of not being able to import student data.
3.Fix the problem of not being able to seat

Tad Web 1.8.6 (Released on 2020-07-25)
=============================================================
1.Fix the problem of not being able to capture Google Shared Photo Album correctly.

Tad Web 1.8.5 (2020-04-24 released)
====================================================
1. Fix the problem that categories cannot be added when creating categories at the same time
2. Fix the problem that the scenery occasionally runs away.

Tad Web 1.8.4 (2020-04-23 released)
====================================================
1. "Activity Silhouette" supports direct reading of Google shared photo album
2. "Event Silhouette Show" section with optional photo album setting
2. New "Event Silhouette Photo" section

Tad Web 1.8.3 (2020-04-21 released)
====================================================
1. Integrate and optimize BootStrap3 and BootStrap4 templates.
2. Modify two air quality blocks
3. Change the block setting button to auto appear.
4. Share the work and add the file function (it can be used as a sample or a topic for the assignment, study sheet, etc.)
5. Complete the classification permission setting function.

Tad Web 1.8.2 (2020-03-15 released)
====================================================
1. Correction for accessibility 2.0 AA standard
2. Remove invalid plug-ins

Tad Web 1.8.1 (2020-01-09 released)
====================================================
1.Reflected XSS bug fixes

Tad Web 1.8 (2019-10-14 released)
=========================================================
1. Fix the problem that the little helper can't work properly

Tad Web 1.7.9 (2019-05-02 released)
=========================================================
1. Fixed custom block editing problem
2. Fixed the problem that the student roster could not be imported.
3. Fixed class management class recurring problems
4. Join the off class function
5. Fix the problem of incorrect use of space
6. Fixed the problem that the classification setting could not be used normally.

Tad Web 1.7.8 (2019-05-10 released)
=========================================================
1. Support XOOPS 2.5.10
2. No longer supports PHP 5.3

Tad Web 1.7.7 (2019-01-01 released)
=========================================================== ==
  1. Added "Auto Skip" image auto play settings
  2. Fix the problem that the used space is not displayed correctly.
  3. Initial completion of accessibility 2.0 testing
  4. Fix the problem that the middle block will not appear when there is no content.
  5. Remove the site owner as a co-administrator
  6. Strengthen variable filtering
  7. Fix problems that may not be found after the contact book is saved.
  8. Remove Big5 Chinese language
  9. Support BootStrap4
 10. Support PHP 7.3
 11. Support MySQL database strict mode
 12. Set the class name as the default category


Tad Web 1.7.6 (2017-01-26 released)
================================================== ==
  1. Fix block json file content is not correct

Tad Web 1.7.5 (2017-11-21 released)
====================================================
  1. Correct the file can not be deleted correctly
  2  correction function settings can not use the problem
  3. Support PHP7.1
  4. Correct "small helper" function related permissions


Tad Web 1.7.4 (2017-10-06 released)
====================================================
  1. Modify some link
  2. Accelerate the backspace management page
  3. Fix the calendar can not display the problem


Tad Web 1.7.3 (2017-09-27 released)
================================================== ==
  1. Simplified website settings page
  2. Fixed the problem that the closed block will be reopened after saving the plug-in settings.
  3. Link and video join sorting
  4. Add the change manager (mentor) name function
  5. After the classification is closed, the content is still a problem
  6. Discussion area plus message sort setting
  7. The calendar is set on the first day of the week
  8. The message content will automatically add the URL
  9. Resolve issues that "article list", "latest news" phone editing will not show
10. Speed up the management of background space
11. Resolve the "article menu" block can not display the problem
12. Resolve the file block can not show the uploader's problem
13. If you do not set the schedule, you will not be able to display the problem
14. Solve the income limit of the Account books



Tad Web 1.7.2 (2017-01-08 released)
====================================================
1. Account books open to parents to watch
2. Modify schedule for security
3. Correct the incorrect calculation of spatial statistics
4. Change the col-md of boootstrap to col-sm


Tad Web 1.7.1 (2016-10-12 released)
====================================================
1. Fixed mobile phone page class image is not correct
2. Fix the problem that "About Us" can not switch classes correctly
3. "About Us" members introduce themselves to join the word wrap
4. Fixed URL input errors will have the problem of redundant folders
5. New classification of the closure and the opening function
6. Classification management to add close and sort function
7. Fixed block can not properly preview the problem
8. The article list block to display the number of articles and whether to display the number of clicks set
9. Member name can be set to display the full name, to facilitate the use of administrative sites
10. Correcting a Course Schedule When you add a new course, you may sometimes have problems that overwrite the old one
11. The good links section is added to the hidden links and description settings
12. Revision calendar If you close the global event, you can not see the site of global events
13. Add the contents of the list of articles appearance style settings
14. Join 360 ° photo support (with the latest tadtools)
15. Remove the invalid flickrit blocks
16. Add slot function
17. Settings that are enabled or disabled in the About Us feature



Tad Web 1.7 (2016-05-27 released)
====================================================
1. Corrected issues related to tag is repeatedly displayed and can not be canceled
2. Add Block read permissions
3. Corrected issues related to the table "category name" field becomes integer type
4. Corrected issues related to the menu when you are not signed in classification can not be switched
5. Corrected issues related to the module can not be updated correctly
6. Remove BootStrap2
7. Support PHP7
8. Fixed countdown block repeated installation will have abnormal problems



Tad Web 1.6.9 (2016-04-08 released)
====================================================
1. Fixed contact book sorting incorrect issue
2. Fixed article sorting incorrect issue
3. Fix friendly print color text or background and you can not print large image can not be completely printed issue
4. Add tag to most plugins.
5. Add tag block and list page.
6. Fixed forum emoticon displayed incorrectly issues
7. Message forced line breaks, avoid causing incorrect forum
8. Add leaderboards
9. The article list will appear Unclassified article
10. Sign of parents and related functions
11. The contact book from the table to three-column layout to facilitate mobile device Watch
12. Fix files can not be deleted correct.
13. Add Global notifications
14. New Assistant feature


Tad Web 1.6.8 (2016-02-23 released)
====================================================
1. Add account book plugin
2. improve video load performance
3. The discuss box features added emoticons
4. Fixed update bug
5. Add common administrator filtering capabilities
6. Fixed administrators can not manage the common website problems
7. Fixed works display is not normal block problem
8. Fixed PHP Hosting 5.3 or less can not set the correct block



Tad Web 1.6.7 (2016-01-20 released)
====================================================
1. Fixed block sharing mechanism
2. New "About Us" presentation set
3. Add "News RSS ticker," "external albums embedding", "countdown", "chat rooms", "suspended particulate (pm2.5) forecast", "air quality (PSI) forecast," and other blocks
4. Fixed site shut down, the administrator himself unable to restart problem
5. Fixed guestbook student permission issues
6. New "block copy" feature
7. Modify block setting new mechanisms to make it smarter
8. enhance student-related functions
9. The works share new students upload function works
10. Fixed problem site can not be deleted
11. Fixed module not properly uninstall problems




Tad Web 1.6.6 (2016-01-04 released)
====================================================
 1. Fixed Paging Toolbar
 2. Fix classification
 3. Fixed the problem can not get video thumbnail
 4. Fixed free block
 5. Add a variety of color adjustment function
 6. Add the block title turn into a picture function
 7. complete freedom blocks sharing
 8. Adjust block Toolbar
 9. Add "Search", "QRCode", "social tools", "Chinese Dictionary", "Dr.eye English Dictionary", "Wikipedia", etc. block
10. The new "block delete" function
11. Added "Print Preview" function
12. Add "site closed" function
13. The second new theme
14. New "FB message box" function
15. New background setting options
16. Modify Login block presentation
17. Added "File download" link external file function
18. The new permission mechanism
19. The new draft features
20. Fixed the "File Download" to remove the incorrect question
21. New tab features



Tad Web 1.6.5 (2015-12-17 released)
====================================================
1. The new free block function
2. Fixed Link in works share
3. Fixed joint administrators can not manage site issues
4. Add the user to set the upper limit of the available space
5. You can see the details of the case of a user-uploaded file from space management
6. Adjust the login block
7. The new class and student management function
8. Add the delete function on their own website



Tad Web 1.6.4 (2015-12-01 released)
====================================================
1. Fixed bug Students can not add a message on the message or viewing
2. Add the latest videos, random videos block
3. Add the latest, the random works share block
4. Home List all contents are converted to block plug
5. New block setting function, you can set its own block position
6. You can set up their own set Home Content
7. Fixed the problem of data can not be deleted
8. When you delete a site, you can completely delete all website content
9. Add some new method for each plug


Tad Web 1.6.3 (2015-11-04 released)
====================================================
1. Fixed function displays the number of each class home setting does not work
2. Fixed class home homework can not display website name
3. To fix the problem can not be installed on or uninstalled correctly
4. Add schedule table Print function (need tadtools 2.8 above)

Tad Web 1.6.2 (2015-11-02 released)
====================================================
1. "Page" can display in front page
2. Added Menu font size setting
3. New sidebar position setting (to be with the new version for_tad_web_theme)
4. Adjust the homework list title
5. Fixed some display bug of homework in bootstrap2


Tad Web 1.6.1 (2015-10-30 released)
====================================================
 1. Add the function of the preset contact book contents
 2. Fixed issue that co-administrator can not be removed
 3. Add the function of reset logo position
 4. Fixed the issue that the co-administrator information can't displayed in bootstrap2
 5. Fixed the issue that the attached file in page plugin can't be download
 6. Add mp3 online playback (need tadtools 2.79 above)
 7. Display attached file name in page plugin
 8. Fixed problem that change the tile of the site is not automatically updated logo


Tad Web 1.6 (2015-10-26 released)
====================================================
 1. Add new calendar functions and blocks
 2. Add setting detection and recommendation function
 3. Fixed the class schedule table presentation
 4. Adjust the layout of the site list, and can display the Preference Settings To field
 5. Fixed the bug that can not manually add members
 6. New co-administrator functions


Tad Web 1.5.1 (2015-10-16 released)
====================================================
 1.Fixed GuestBook English language
 2.Fixed problem of disappearing blocks



Tad Web 1.5 (2015-10-16 released)
====================================================
1. Fixed activity English language
2. New page functions and blocks
3. Add class schedule table function
4. New block mechanism
5. New web space usage status
6. Add OpenID login in Sign Block
7. fixed serious security problems
8. The capture site URL, name, webmaster mailbox, multiplayer version of the page, the number of sub-sites and other information for statistical or later update notification
9. Fixed the external classes can not be used in bootstrap2


Tad Web 1.4.1 (2015-10-08 released)
====================================================
1. Fixed a person has two or more sites, the menu can not switch the site.
2. Fixed external class website can not automatically link


Tad Web 1.4 (2015-10-02 released)
====================================================
1. All features modular, simplify the development process
2. The user can specify your own website in a different address
3. The homework became an independent function
4. The administrator can decide to appear in the overview page functionality
5. The site owner can adjust Home and Menu functions order
6. Add new management plug-in page


Tad Web 1.3 (2015-09-21 released)
====================================================
1. Fixed the issue that sites categories menu does not work.
2. Fixed the issue that can not delete the members who empty name.
3. Fixed the issue that can not download files in works page.
4. New category management function.
5. Fixed the issue that students guestbook messages can not be deleted


Tad Web 1.2 (2015-09-17 released)
====================================================
1. Fixed issue news page can not download the attached files.
2. Problem Fixed menu block can not be displayed correctly.
3. Add a site Categories management function
4. Site list presented in a way change to tab (if there is set Categories)
5. Fixed management student interface
6. Fixed menu block
7. Website title made into a real picture
8. Adjust the news page is rendered, no content news hide blank boxes
9. The administrator can manage any website
10. Fixed background editing site
11. Added "work share" feature
12. Action page with thumbnails way to present
13. The title font changed to "嵐.萌系一號"
14. Added Categories function.
15. The logon block can be login to XOOPS or personal web site.


Tad Web 1.1 (2015-09-05 released)
====================================================
 1.Optimization news display
 2.Optimization homework display
 3.Fixed bug discussion can not be displayed
 4.New login block, you can no longer log in from the original site
 5.All using BootStrap3, except module index, as the original site bootstrap version is automatically adjusted.


Tad Web 1.0.1 (2015-09-02 released)
====================================================
 1.Fixed some language
 2.Added blocks setup function.
 3.Fixed logo bug when web in bootstrap2


Tad Web 1.0 (2015-09-02 released)
====================================================
1. Fixed video playback Block
2. Admin added "according to the official name of the sort" function
3. Each page can be opened to independent sets
4. The page owner can adjust the layout yourself
5. The "About Us" and "contact book" can already be set to close
6. Add bootstrap3 support
7. The album changed to a sliding block way to display pictures


Tad Web 1.0 RC6 (2014-10-23 released)
================================================== ==
 1. Fixed contact book can not be edited problem of old data
 2. Modify the home page list for the table
 3. Fix file subdirectory is not the right questions, and join the program update fixes


Tad Web 1.0 RC5 (2014-09-25 released)
================================================== ==
 1. Modify the program so that it conforms with WCAG
 2. For MySQL strict mode is corrected
 3. Fix any upload problem


Tad Web 1.0 RC4 (2014-01-27 released)
================================================== ==
 1. Import new upload mechanism
 2. For MySQL strict mode is corrected
 3. Adjust the screen for setting students

Tad Web 1.0 RC3 (2013-07-30 released)
================================================== ==
 1. Fixed video playback function and tad_player duplicate bug
 2. Amendments to the same teacher can not have two or more sites of bug
 3. You can download the file has been uploaded document name (including news attached file)
 _MA_TCW_CLICK_TO_EDIT Messages while 4. Modify the background Add Website
 5. Fixed bug fixes guestbook can not hide block photo albums and album did not come out of the bug
 6. Fixed an album you can not edit or upload a second (or can not store photos specified) bug
 7. Message restrictions only teachers and students (or website members) can see.


Tad Web 1.0 RC2 (2013-07-29 released)
================================================== ==
 1. Increase the message function
 2. Increase the site members related functions
 3. Add Big5 Chinese language
 The package hills sea of ​​small bug fixes


Tad Web 1.0 RC1 (2013-07-01 released)
================================================== ==
 1. The user can set up a simple personal page
 2. Each user can have multiple pages
